@import 'main';

.button {
  padding: 10px 12px;
  border-radius: 3px;
  border: none;
  background-color: $color-primary;
  font-weight: 700;
  color: $color-white;
  cursor: pointer;
  box-shadow: $box-shadow-material;
  transition: all 100ms linear;
  font-size: 16px;
  outline: none;

  &:hover {
    box-shadow: $box-shadow-material-hover;
    background-color: darken($color-primary, 5%);
  }

  &--secondary {
    background-color: $color-secondary;

    &:hover {
      background-color: darken($color-secondary, 5%);
    }
  }

  &--tertiary {
    background-color: $color-tertiary;

    &:hover {
      background-color: darken($color-tertiary, 5%);
    }
  }
}
